Subject: Re: bug#23693: 25.1.50; [very urgent]

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Jun 2016 05:41:26 +0300

[Please keep the bug address on the CC list.]

> From: Emre Guneyler <[email-masked]>
> Date: Sat, 4 Jun 2016 20:55:19 +0300
> 
> See these Recent messages appear in mini buffer, covering the actual contents. Specifically this message:
> `redisplay--pre-redisplay-functions: (args-out-of-range 0)`
> 
> For example I press "C-x f" to list files or "C-x b" to list buffers, this message shows up.
> 
> It doesn't always happen, I suspect a very long file path might cause this, or opening some file triggers this.
> 
> If I close and reopen emacs it might go away. I use `emacs --daemon` and `emacsclient`, but it had happend
> on normal "emacs" as well.

You need to look into your customizations and find out which one
causes this.  I'm guessing that some add-on package adds its function
to redisplay--pre-redisplay-functions, and that function has a bug.